#ifndef INCLUDE_LPIMRI_DATAANDSAMPLINGMASKPRODUCT_HPP_
#define INCLUDE_LPIMRI_DATAANDSAMPLINGMASKPRODUCT_HPP_
#include <OpenCLIPER/Process.hpp>
#include <OpenCLIPER/KData.hpp>

namespace OpenCLIPER {

class BlankDataRows: public Process {
    public:
	struct LaunchParameters: Process::LaunchParameters {
	    //DataHandle samplingMasksDataHandle=INVALIDDATAHANDLE;
            std::shared_ptr<SamplingMasksData> samplingMasksData;
	    //DataParametersTypes_t dataParametersTypes;
	    //Parameters(ConjugateSensMap_t c, DataParametersTypes_t t):conjugateSensMap(c), dataParametersTypes(t) {}
	    LaunchParameters(std::shared_ptr<SamplingMasksData> m): samplingMasksData(m) {}
	};
	
        BlankDataRows(): Process() {}
        BlankDataRows(std::shared_ptr<OpenCLIPER::CLapp> pCLapp): Process(pCLapp) {};

        void init();
	void launch(ProfileParameters profileParameters = {false, 1});
    };
}
#endif //INCLUDE_LPIMRI_DATAANDSAMPLINGMASKPRODUCT_HPP_
