#include "PerformanceTestArrayOpenCLIPER.hpp"

#if !defined NDEBUG && defined PERFORMANCETESTARRAYOPENCLIPER_DEBUG
    #define PERFORMANCETESTARRAYOPENCLIPER_CERR(x) CERR(x)
#else
    #define PERFORMANCETESTARRAYOPENCLIPER_CERR(x)
    #undef PERFORMANCETESTARRAYOPENCLIPER_DEBUG
#endif

PerformanceTestArrayOpenCLIPER::PerformanceTestArrayOpenCLIPER() {

}

PerformanceTestArrayOpenCLIPER::PerformanceTestArrayOpenCLIPER(int argc, char* argv[]) {
    pConfigTraits = std::make_shared<ConfigTraits>();
	readExecArgs(argc, argv);
	checkRequiredArgsPresent();
	pConfigTraits->configure();
}

PerformanceTestArrayOpenCLIPER::~PerformanceTestArrayOpenCLIPER() {
}

void PerformanceTestArrayOpenCLIPER::ConfigTraits::configure() {
	OpenCLIPER::PerfTestConfResult::ConfigTraits::configure();
	PerformanceTestArrayOpParallel::ConfigTraits::configure();
}

void PerformanceTestArrayOpenCLIPER::buildSpecificInfo(void* extraInfo) {
    auto pSelfConfigTraits = std::dynamic_pointer_cast<ConfigTraits>(pConfigTraits);
    OpenCLIPER::PerfTestConfResult::buildSpecificInfo(extraInfo);
}
