#ifndef PERFORMANCETESTARRAYOPENCLIPER_HPP
#define PERFORMANCETESTARRAYOPENCLIPER_HPP

#include <OpenCLIPER/PerfTestConfResult.hpp>
#include "PerformanceTestArrayOpParallel.hpp"

class PerformanceTestArrayOpenCLIPER : public virtual OpenCLIPER::PerfTestConfResult, public virtual PerformanceTestArrayOpParallel {
public:
    struct ConfigTraits : public OpenCLIPER::PerfTestConfResult::ConfigTraits,
		public PerformanceTestArrayOpParallel::ConfigTraits {
        ConfigTraits() {
        }
        virtual void configure();
    };

    PerformanceTestArrayOpenCLIPER(int argc, char* argv[]);
    ~PerformanceTestArrayOpenCLIPER();

protected:
    PerformanceTestArrayOpenCLIPER();
private:
    virtual void buildSpecificInfo(void* extraInfo);
};
#endif // PERFORMANCETESTARRAYOPENCLIPER_HPP
